Subject: Re: Multiple machine management

From: "Sertonix" <[email-masked]>
Date: Tue, 05 May 2026 20:51:00 +0000

On Tue May 5, 2026 at 9:10 AM CEST, Martin Kjær Jørgensen wrote:
> On 05/04/26 11:33 AM, Sertonix wrote:
>>> - config (/etc files)
>>> - automatically installing desired packages
>>> - automatically removing obsolete or unneeded packages
>>
>> For that I use custom (meta)packages with dependencies and config files:
>> https://codeberg.org/sertonix/aports/src/branch/main/custom
>
> I like that approach, but I was wondering why do you prefix packages with
> "0+"?

It ends as a group at the top of /etc/apk/world and is easily
destinguished from all normal packages.

>>
>> I build the packages on a specific device and have them automatically
>> copied to other devices through syncthing.
>
> Why use syncthing for distribution, instead of uploading to a remote web
> server for clients to pull from?

I don't have a web server setup and already used syncthing. No real reason.

>>Then on the next upgrade the changes are applied.
>
> Once the packages are distributes, does your machines automatically update
> unattended, or do you manually trigger upgrade?

At the moment I only have systems which I upgrade manually.